Bug 1863934 - khard: FTBFS in Fedora rawhide/f33
Summary: khard: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: khard
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-08-03 17:41 UTC by Fedora Release Engineering
Modified: 2021-01-01 02:09 UTC (History)
3 users (show)

Fixed In Version: khard-0.17.0-2.fc32 khard-0.17.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-01 01:24:22 UTC
Type: ---


Attachments (Terms of Use)
build.log (2.89 KB, text/plain)
2020-08-03 17:41 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 17:42 UTC, Fedora Release Engineering
no flags Details
state.log (963 bytes, text/plain)
2020-08-03 17:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 17:41:57 UTC
khard failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=47990117


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix khard at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
khard will be orphaned. Before branching of Fedora 34,
khard will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 17:41:59 UTC
Created attachment 1705273 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 17:42:01 UTC
Created attachment 1705274 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 17:42:02 UTC
Created attachment 1705275 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 14:12:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Fedora Update System 2020-12-20 15:10:24 UTC
FEDORA-2020-357cac1936 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-357cac1936

Comment 6 Fedora Update System 2020-12-20 15:10:26 UTC
FEDORA-2020-ef761ca639 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef761ca639

Comment 7 Fedora Update System 2020-12-21 02:23:58 UTC
FEDORA-2020-ef761ca639 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ef761ca639`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef761ca639

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-21 02:31:40 UTC
FEDORA-2020-357cac1936 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-357cac1936`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-357cac1936

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-12-23 02:52:06 UTC
FEDORA-2020-ef761ca639 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef761ca639

Comment 10 Fedora Update System 2020-12-23 02:52:12 UTC
FEDORA-2020-357cac1936 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-357cac1936

Comment 11 Fedora Update System 2020-12-24 01:09:53 UTC
FEDORA-2020-357cac1936 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-357cac1936`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-357cac1936

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-12-24 02:04:11 UTC
FEDORA-2020-ef761ca639 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ef761ca639`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ef761ca639

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-01-01 01:24:22 UTC
FEDORA-2020-357cac1936 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-01-01 02:09:33 UTC
FEDORA-2020-ef761ca639 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.